gr::lte::pss Class Reference

helper class for pss blocks More...

`#include <pss.h>`

## Public Member Functions

| pss ()
| ~pss ()

## Static Public Member Functions

static void | gen_pss_t (gr_complex *zc_t, int cell_id, int len)
static void | gen_conj_pss_t (gr_complex *zc_t, int cell_id, int len)
static void | zc (gr_complex *zc, int cell_id)

## Detailed Description

helper class for pss blocks

## Constructor & Destructor Documentation

## pss()

gr::lte::pss::pss | ( |  | ) |

## ~pss()

gr::lte::pss::~pss | ( |  | ) |

## Member Function Documentation

## gen_conj_pss_t()

static void gr::lte::pss::gen_conj_pss_t | ( | gr_complex * | zc_t,
|  | int | cell_id,
|  | int | len )

static

## gen_pss_t()

static void gr::lte::pss::gen_pss_t | ( | gr_complex * | zc_t,
|  | int | cell_id,
|  | int | len )

static

## zc()

static void gr::lte::pss::zc | ( | gr_complex * | zc,
|  | int | cell_id )

static

The documentation for this class was generated from the following file:

- pss.h